Heimdal Kerberos 5 digest service(3)

NAME
Heimdal Kerberos 5 digest service -

  Functions
krb5_error_code krb5_digest_probe (krb5_context context, krb5_realm realm, krb5_ccache ccache, unsigned *flags)

Detailed Description

Function Documentation

  krb5_error_code krb5_digest_probe (krb5_context context, krb5_realm realm, krb5_ccache ccache, unsigned * flags)

Get the supported/allowed mechanism for this principal.

Parameters:
    context A Keberos context.
    realm The realm of the KDC.
    ccache The credential cache to use when talking to the KDC.
    flags The supported mechanism.

Returns:
    Return an error code or 0.